package br.uem.din.architectureEvolution.representation;

import br.uem.din.architectureEvolution.helpers.ModelHelper;
import br.uem.din.architectureEvolution.helpers.ModelHelperFactory;

import com.sdmetrics.model.ModelElement;

public abstract class InterElementRelationship {
	private ModelElement modelElement;
	private final ModelHelper modelHelper;
	
	public InterElementRelationship(ModelElement element) throws Exception{
		this.setModelElement(element);
		this.modelHelper = ModelHelperFactory.getModelHelper();
	}

	protected ModelElement getModelElement() {
		return modelElement;
	}

	protected void setModelElement(ModelElement modelElement) {
		this.modelElement = modelElement;
	}

	protected ModelHelper getModelHelper() {
		return modelHelper;
	}
}
